summaryrefslogtreecommitdiffstats
path: root/test/test2.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/test2.sh')
-rwxr-xr-xtest/test2.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/test/test2.sh b/test/test2.sh
new file mode 100755
index 0000000..f0ba463
--- /dev/null
+++ b/test/test2.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+# desc: test if dependencies works
+
+# test-b depends on test-a
+$APK add --root $ROOT --initdb --repository $PWD/repo1 test-b
+
+# check if test-a was installed
+test "$($ROOT/usr/bin/test-a)" = "hello from test-a-1.0"
+
+# run an upgrade
+$APK upgrade --root $ROOT --repository $PWD/repo2
+
+# test if test-a was upgraded
+test "$($ROOT/usr/bin/test-a)" = "hello from test-a-1.1"
+
+# remove test-b
+$APK del --root $ROOT test-b
+
+# test if the dependency was removed too
+if [ -x "$ROOT/usr/bin/test-a" ]; then
+ exit 1
+fi